## qubes-app-shutdown-idle 1.0.1

=== Makefile ===
.PHONY: all
all: build

PYTHON ?= python3

.PHONY: build
build:
	$(PYTHON) setup.py build

.PHONY: install
install:
	$(PYTHON) setup.py install -O1 $(PYTHON_PREFIX_ARG) --root $(DESTDIR)
	install -d $(DESTDIR)/etc/xdg/autostart
	install -m 0644 system-config/qubes-idleness-monitor.desktop $(DESTDIR)/etc/xdg/autostart/
	install -d $(DESTDIR)/etc/qubes/post-install.d
	install system-config/30-qubes-idle.sh \
		$(DESTDIR)/etc/qubes/post-install.d/30-qubes-idle.sh

clean:
	rm -rf qubesidle/__pycache__

=== debian/changelog ===
qubes-app-shutdown-idle (1.0.1-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 04 Nov 2018 03:17:49 +0100

qubes-app-shutdown-idle (1.0.1-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Handle CentOS python3 version
  * travis: add CentOS

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 04 Nov 2018 03:17:49 +0100

qubes-app-shutdown-idle (1.0.0-1) unstable; urgency=low
  * Initial release

 -- Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com>  Fri, 12 Oct 2018 15:00:00 +0200

## qubes-app-shutdown-idle 1.0.2

=== debian/changelog ===
qubes-app-shutdown-idle (1.0.2-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 09 Oct 2019 05:05:48 +0200

qubes-app-shutdown-idle (1.0.2-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * travis: switch to xenial, update distributions

  [ Marta Marczykowska-Górecka ]
  * Fixed rare scheduling error and simplified idleness checking

  [ unman ]
  * Create configuration files in Debian Package. Also make requirement
    for passwordless sudo explicit
  * provide sudo snippet allowing poweroff
  * reinstated destination for 30-qubes-idle.sh

  [ Marek Marczykowski-Górecki ]
  * Create sudoers.d directory

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 09 Oct 2019 05:05:48 +0200

## qubes-app-shutdown-idle 1.0.3

=== debian/changelog ===
qubes-app-shutdown-idle (1.0.3-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 14 Aug 2020 04:31:27 +0200

qubes-app-shutdown-idle (1.0.3-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * Update travis

  [ Marta Marczykowska-Górecka ]
  * Made package names in fedora and debian the same

  [ Marek Marczykowski-Górecki ]
  * Update version in obsoletes tag

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 14 Aug 2020 04:31:27 +0200

## qubes-app-shutdown-idle 1.0.4

=== debian/changelog ===
qubes-app-shutdown-idle (1.0.4-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 29 Dec 2020 21:18:35 +0100

qubes-app-shutdown-idle (1.0.4-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml
  * debian: update control && compat
  * Fix build with python3 for CentOS

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 29 Dec 2020 21:18:35 +0100

=== debian/control ===
Source: qubes-app-shutdown-idle
Section: admin
Priority: optional
Maintainer: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Build-Depends:
 debhelper,
 dh-python,
 python3-all,
 python3-setuptools,
X-Python3-Version: >= 3.7
Standards-Version: 4.4.0.1
Homepage: https://www.qubes-os.org/
#Vcs-Git: git://github.com/QubesOS/qubes-app-shutdown-idle.git
#Vcs-Browser: https://github.com/QubesOS/qubes-app-shutdown-idle

Package: qubes-app-shutdown-idle
Architecture: any
Description: Qubes shutdown idle VM script
 A script that shuts idle VMs
Depends:
 python3-setuptools,
 python3-xcffib,
 python3-pyudev,
 ${python3:Depends},

## qubes-app-shutdown-idle 1.0.5

=== debian/changelog ===
qubes-app-shutdown-idle (1.0.5-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 06 Jan 2021 22:00:08 +0100

qubes-app-shutdown-idle (1.0.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * ci: add r4.0 vms

  [ Marek Marczykowski-Górecki ]
  * debian: lower python version requirement to fix stretch build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 06 Jan 2021 22:00:08 +0100

## qubes-app-shutdown-idle 1.0.6

=== debian/changelog ===
qubes-app-shutdown-idle (1.0.6-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 18 May 2021 00:21:11 +0200

qubes-app-shutdown-idle (1.0.6-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ Demi Marie Obenour ]
  * Rip out @asyncio.coroutine

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 18 May 2021 00:21:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-X-Python3-Version: >= 3.7
+X-Python3-Version: >= 3.5
 Standards-Version: 4.4.0.1
 Homepage: https://www.qubes-os.org/
 #Vcs-Git: git://github.com/QubesOS/qubes-app-shutdown-idle.git

## qubes-app-shutdown-idle 1.0.7

=== debian/changelog ===
qubes-app-shutdown-idle (1.0.7-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 04 May 2022 20:55:01 +0200

qubes-app-shutdown-idle (1.0.7-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Remove mentions of @asyncio.coroutine from docs

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI

  [ deeplow ]
  * window closing heuristic: when window is off-screen

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 04 May 2022 20:55:01 +0200

## qubes-app-shutdown-idle 1.0.10

=== debian/changelog ===
qubes-app-shutdown-idle (1.0.10-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 29 Apr 2023 15:49:52 +0200

qubes-app-shutdown-idle (1.0.10-1) unstable; urgency=medium

  * Disable tests on too old python

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 29 Apr 2023 15:49:52 +0200

qubes-app-shutdown-idle (1.0.9-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix unsupported asyncio syntax

  [ Marek Marczykowski-Górecki ]
  * ci: run unit tests

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 19 Jan 2023 14:25:39 +0100

qubes-app-shutdown-idle (1.0.8-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

  [ Marek Marczykowski-Górecki ]
  * rpm: move %description before %prep

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 04 Nov 2022 16:21:42 +0100

## qubes-app-shutdown-idle 1.0.11

=== debian/changelog ===
qubes-app-shutdown-idle (1.0.11-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 05 Jul 2024 17:33:50 +0200

qubes-app-shutdown-idle (1.0.11-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: bump require python version

  [ Marta Marczykowska-Górecka ]
  * Remove deprecated pkg_resources, replace with importlib

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 05 Jul 2024 17:33:50 +0200

## qubes-app-shutdown-idle 1.0.13

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,9 @@
 	install -d $(DESTDIR)/etc/qubes/post-install.d
 	install system-config/30-qubes-idle.sh \
 		$(DESTDIR)/etc/qubes/post-install.d/30-qubes-idle.sh
+	install -d $(DESTDIR)/etc/sudoers.d
+	install system-config/sudo-poweroff \
+		$(DESTDIR)/etc/sudoers.d/sudo-poweroff
 
 clean:
 	rm -rf qubesidle/__pycache__

=== ci/requirements.txt ===
# WARNING: those requirements are used only for travis-ci.org
# they SHOULD NOT be used under normal conditions; use system package manager
coverage
xcffib
pyudev
pylint
types-setuptools
codecov
pytest

=== debian/changelog ===
qubes-app-shutdown-idle (1.0.13-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sat, 04 Oct 2025 05:31:25 +0200

qubes-app-shutdown-idle (1.0.13-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Fix for `sysmaint` systems (Whonix & Kicksecure)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Oct 2025 05:31:25 +0200

qubes-app-shutdown-idle (1.0.12-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Update CI
  * Initialize asyncio event loop before using it

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 18 Sep 2025 01:27:51 +0200
